/**
* @file BubbleSort.java
*
* @brief Diese Datei enthlt die sorting.BubbleSort-Klasse.
*
* @author Philipp Bank, www.cypax.net\n
*
* @date 17.06.2006 - erste Version
*
**/

package sorting;

import java.awt.*;

/**
* @class BubbleSort
* @brief Die BubbleSort-Klasse erweitert die Sort-Klasse und sortiert Arrays mit dem Bubblesort-Algorithmus.
*
* Der verwendete Bubblesort-Code ist modifiziert von: <a href="http://de.wikipedia.org/wiki/Bubblesort">http://de.wikipedia.org/wiki/Bubblesort</a>.
*/
public class BubbleSort extends Sort
{

/**
* @brief Dies ist der Sortieralgorithmus.
*
* Der verwendete Bubblesort-Code ist modifiziert von: <a href="http://de.wikipedia.org/wiki/Bubblesort">http://de.wikipedia.org/wiki/Bubblesort</a>.
*/
  protected void doSort()
  {
    boolean sortiert;
    do
    {
      sortiert = true;
      for (int i = 1; i < theArray.length; i++)
      {
        if (theArray[i - 1] > theArray[i])
        {
          int tmp = theArray[i - 1];
          theArray[i - 1] = theArray[i];
          theArray[i] = tmp;
          sortiert = false;
        }
      }
      this.showArray();
      this.theLabel.setText(this.calcRuntime()+"ms");
      this.theLabel.validate();
    } while (!sortiert);
  }

}

